\documentclass[border=0pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}

\newcommand{\squaresize}{0.5cm}

\tikzset{%
	>={Latex[width=2mm,length=2mm]},
	% Specifications for style of nodes:
			  base/.style = {rectangle, draw=black, minimum width=\squaresize, minimum height=\squaresize, text centered},
			  %
		    number/.style = {base, fill=gray!10, minimum height=\squaresize},
		  operator/.style = {base, fill=none, draw=none}
}

\begin{document}
	\begin{tikzpicture}[node distance=0.0cm and 0.0cm]
	
	\node (vector1) {
		\begin{tikzpicture}
			\node (number1)		[number]						{1};
			\node (number4)		[number, below=of number1]		{2};
			\node (number7)		[number, below=of number4]		{3};
			\node (number10)	[number, below=of number7]		{4};
		\end{tikzpicture}
	};

	\node (operator1) [operator, right=of vector1] {+};
	
	\node (vector2) [right=of operator1] {
		\begin{tikzpicture}
			\node (number2)		[number]						{1};
			\node (number5)		[number, below=of number2]		{2};
			\node (number8)		[number, below=of number5]		{3};
			\node (number11)	[number, below=of number8]		{4};
		\end{tikzpicture}
	};

	\node (operator2) [operator, right=of vector2] {=};
	
	\node (vector3) [right=of operator2] {
		\begin{tikzpicture}
			\node (number3)		[number]						{2};
			\node (number6)		[number, below=of number3]		{4};
			\node (number9)		[number, below=of number6]		{6};
			\node (number12)	[number, below=of number9]		{8};
		\end{tikzpicture}
	};
	
	\end{tikzpicture}
\end{document}
